package ru.yandex.autotests.direct.steps;

import ru.yandex.autotests.direct.cmd.DirectCmdSteps;
import ru.yandex.autotests.direct.utils.BaseSteps;
import ru.yandex.autotests.directapi.darkside.steps.DarkSideSteps;
import ru.yandex.autotests.directapi.steps.UserSteps;

public class DirectSteps {
    private DarkSideSteps directDarkSideSteps;
    private DirectCmdSteps directCmdSteps;
    private UserSteps directApiSteps;

    public DarkSideSteps darkSide() {
        return directDarkSideSteps;
    }

    public DirectCmdSteps cmd() {
        return directCmdSteps;
    }

    public UserSteps api() {
        return directApiSteps;
    }

    public SandboxSteps sandboxSteps() {
        return BaseSteps.getInstance(SandboxSteps.class, this);
    }
}
